> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Links

> Get Links



## OpenAPI

````yaml /api-reference/links/openapi.json get /links
openapi: 3.0.0
info:
  title: Trigger Links API
  description: Documentation for links API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Trigger Links
    description: Documentation for links API
  - name: Trigger Links Search
    description: Documentation for links API
  - name: Trigger Links Redirection
    description: Documentation for links API
paths:
  /links:
    get:
      tags:
        - Trigger Links
      summary: Get Links
      description: Get Links
      operationId: get-links
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: locationId
          required: true
          in: query
          schema:
            type: string
            example: ve9EPM428h8vShlRW1KT
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLinksSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - links.readonly
components:
  schemas:
    GetLinksSuccessfulResponseDto:
      type: object
      properties:
        links:
          type: array
          items:
            $ref: '#/components/schemas/LinkSchema'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    LinkSchema:
      type: object
      properties:
        id:
          type: string
          example: n4AriwEnFrGh3tu08W0U
        name:
          type: string
          example: first tag
        redirectTo:
          type: string
          example: https://www.google.com/
        fieldKey:
          type: string
          example: '{{trigger_link.n4AriwEnFrGh3tu08W0U}}'
        locationId:
          type: string
          example: ve9EPM428h8vShlRW1KT
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````